summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Andre Barboza2010-08-15 20:19:26 +0200
committer Erik Hanson2010-08-16 03:53:59 +0200
commitf1ffeb1d7e271e5436666fc83ee7173e09ae50d2 (patch)
treef2642ff9432fb9f1978ead524f94f4b1276502dd /libraries
parente038736c3dfa40a362792b96f35c5c6050fe47be (diff)
downloadslackbuilds-f1ffeb1d7e271e5436666fc83ee7173e09ae50d2.tar.gz
libraries/gnome-sharp: Added (.NET binding for GNOME libraries)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/gnome-sharp/README4
-rw-r--r--libraries/gnome-sharp/gnome-sharp.SlackBuild99
-rw-r--r--libraries/gnome-sharp/gnome-sharp.info10
-rw-r--r--libraries/gnome-sharp/slack-desc19
4 files changed, 132 insertions, 0 deletions
diff --git a/libraries/gnome-sharp/README b/libraries/gnome-sharp/README
new file mode 100644
index 0000000000..c00a39abe0
--- /dev/null
+++ b/libraries/gnome-sharp/README
@@ -0,0 +1,4 @@
+Gnome# is a .NET language binding for assorted GNOME libraries. Gnome# is
+free software, licensed under the GNU LGPL.
+
+This requires: mono, gtk-sharp, gnome-vfs, libgnomecanvas, libgnome and libgnomeui
diff --git a/libraries/gnome-sharp/gnome-sharp.SlackBuild b/libraries/gnome-sharp/gnome-sharp.SlackBuild
new file mode 100644
index 0000000000..c4d90204bb
--- /dev/null
+++ b/libraries/gnome-sharp/gnome-sharp.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for Gnome#
+
+# Written by André Barboza <bmg.andre@gmail.com>
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=gnome-sharp
+VERSION=${VERSION:-2.24.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make -j1
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/gnome-sharp/gnome-sharp.info b/libraries/gnome-sharp/gnome-sharp.info
new file mode 100644
index 0000000000..9dee8e06c4
--- /dev/null
+++ b/libraries/gnome-sharp/gnome-sharp.info
@@ -0,0 +1,10 @@
+PRGNAM="gnome-sharp"
+VERSION="2.24.1"
+HOMEPAGE="http://gtk-sharp.sourceforge.net/"
+DOWNLOAD="http://ftp.gnome.org/pub/GNOME/sources/gnome-sharp/2.24/gnome-sharp-2.24.1.tar.bz2"
+MD5SUM="408f83f790a5189bcf76ea9299bc6410"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Andre Barboza"
+EMAIL="bmg.andre@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/libraries/gnome-sharp/slack-desc b/libraries/gnome-sharp/slack-desc
new file mode 100644
index 0000000000..e25a67dfd3
--- /dev/null
+++ b/libraries/gnome-sharp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gnome-sharp: gnome-sharp (.NET binding for GNOME libraries)
+gnome-sharp:
+gnome-sharp: Gnome# is a .NET language binding for assorted GNOME libraries.
+gnome-sharp: Gnome# is free software, licensed under the GNU LGPL.
+gnome-sharp:
+gnome-sharp:
+gnome-sharp:
+gnome-sharp:
+gnome-sharp:
+gnome-sharp: Homepage: http://gtk-sharp.sourceforge.net/
+gnome-sharp: